source: squid-ssl/trunk/fuentes/lib/libTrie/test/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 21 months ago

Initial release

File size: 37.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \   ]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = @build@
89host_triplet = @host@
90check_PROGRAMS = trie$(EXEEXT)
91TESTS = trie$(EXEEXT)
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = lib/libTrie/test
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160am_trie_OBJECTS = trie.$(OBJEXT)
161trie_OBJECTS = $(am_trie_OBJECTS)
162trie_DEPENDENCIES = $(top_builddir)/lib/libTrie/libTrie.a
163AM_V_lt = $(am__v_lt_@AM_V@)
164am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
165am__v_lt_0 = --silent
166am__v_lt_1 =
167AM_V_P = $(am__v_P_@AM_V@)
168am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
169am__v_P_0 = false
170am__v_P_1 = :
171AM_V_GEN = $(am__v_GEN_@AM_V@)
172am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
173am__v_GEN_0 = @echo "  GEN     " $@;
174am__v_GEN_1 =
175AM_V_at = $(am__v_at_@AM_V@)
176am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
177am__v_at_0 = @
178am__v_at_1 =
179DEFAULT_INCLUDES =
180depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
181am__depfiles_maybe = depfiles
182am__mv = mv -f
183CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
184        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
185LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
186        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
187        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
188        $(AM_CXXFLAGS) $(CXXFLAGS)
189AM_V_CXX = $(am__v_CXX_@AM_V@)
190am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
191am__v_CXX_0 = @echo "  CXX     " $@;
192am__v_CXX_1 =
193CXXLD = $(CXX)
194CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
195        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
196        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
197AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
198am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
199am__v_CXXLD_0 = @echo "  CXXLD   " $@;
200am__v_CXXLD_1 =
201SOURCES = $(trie_SOURCES)
202DIST_SOURCES = $(trie_SOURCES)
203am__can_run_installinfo = \
204  case $$AM_UPDATE_INFO_DIR in \
205    n|no|NO) false;; \
206    *) (install-info --version) >/dev/null 2>&1;; \
207  esac
208am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
209# Read a list of newline-separated strings from the standard input,
210# and print each of them once, without duplicates.  Input order is
211# *not* preserved.
212am__uniquify_input = $(AWK) '\
213  BEGIN { nonempty = 0; } \
214  { items[$$0] = 1; nonempty = 1; } \
215  END { if (nonempty) { for (i in items) print i; }; } \
216'
217# Make sure the list of sources is unique.  This is necessary because,
218# e.g., the same source file might be shared among _SOURCES variables
219# for different programs/libraries.
220am__define_uniq_tagged_files = \
221  list='$(am__tagged_files)'; \
222  unique=`for i in $$list; do \
223    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
224  done | $(am__uniquify_input)`
225ETAGS = etags
226CTAGS = ctags
227am__tty_colors_dummy = \
228  mgn= red= grn= lgn= blu= brg= std=; \
229  am__color_tests=no
230am__tty_colors = { \
231  $(am__tty_colors_dummy); \
232  if test "X$(AM_COLOR_TESTS)" = Xno; then \
233    am__color_tests=no; \
234  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
235    am__color_tests=yes; \
236  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
237    am__color_tests=yes; \
238  fi; \
239  if test $$am__color_tests = yes; then \
240    red='[0;31m'; \
241    grn='[0;32m'; \
242    lgn='[1;32m'; \
243    blu='[1;34m'; \
244    mgn='[0;35m'; \
245    brg='[1m'; \
246    std='[m'; \
247  fi; \
248}
249am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
250am__vpath_adj = case $$p in \
251    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
252    *) f=$$p;; \
253  esac;
254am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
255am__install_max = 40
256am__nobase_strip_setup = \
257  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
258am__nobase_strip = \
259  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
260am__nobase_list = $(am__nobase_strip_setup); \
261  for p in $$list; do echo "$$p $$p"; done | \
262  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
263  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
264    if (++n[$$2] == $(am__install_max)) \
265      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
266    END { for (dir in files) print dir, files[dir] }'
267am__base_list = \
268  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
269  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
270am__uninstall_files_from_dir = { \
271  test -z "$$files" \
272    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
273    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
274         $(am__cd) "$$dir" && rm -f $$files; }; \
275  }
276am__recheck_rx = ^[     ]*:recheck:[    ]*
277am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
278am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
279# A command that, given a newline-separated list of test names on the
280# standard input, print the name of the tests that are to be re-run
281# upon "make recheck".
282am__list_recheck_tests = $(AWK) '{ \
283  recheck = 1; \
284  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
285    { \
286      if (rc < 0) \
287        { \
288          if ((getline line2 < ($$0 ".log")) < 0) \
289            recheck = 0; \
290          break; \
291        } \
292      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
293        { \
294          recheck = 0; \
295          break; \
296        } \
297      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
298        { \
299          break; \
300        } \
301    }; \
302  if (recheck) \
303    print $$0; \
304  close ($$0 ".trs"); \
305  close ($$0 ".log"); \
306}'
307# A command that, given a newline-separated list of test names on the
308# standard input, create the global log from their .trs and .log files.
309am__create_global_log = $(AWK) ' \
310function fatal(msg) \
311{ \
312  print "fatal: making $@: " msg | "cat >&2"; \
313  exit 1; \
314} \
315function rst_section(header) \
316{ \
317  print header; \
318  len = length(header); \
319  for (i = 1; i <= len; i = i + 1) \
320    printf "="; \
321  printf "\n\n"; \
322} \
323{ \
324  copy_in_global_log = 1; \
325  global_test_result = "RUN"; \
326  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
327    { \
328      if (rc < 0) \
329         fatal("failed to read from " $$0 ".trs"); \
330      if (line ~ /$(am__global_test_result_rx)/) \
331        { \
332          sub("$(am__global_test_result_rx)", "", line); \
333          sub("[        ]*$$", "", line); \
334          global_test_result = line; \
335        } \
336      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
337        copy_in_global_log = 0; \
338    }; \
339  if (copy_in_global_log) \
340    { \
341      rst_section(global_test_result ": " $$0); \
342      while ((rc = (getline line < ($$0 ".log"))) != 0) \
343      { \
344        if (rc < 0) \
345          fatal("failed to read from " $$0 ".log"); \
346        print line; \
347      }; \
348      printf "\n"; \
349    }; \
350  close ($$0 ".trs"); \
351  close ($$0 ".log"); \
352}'
353# Restructured Text title.
354am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
355# Solaris 10 'make', and several other traditional 'make' implementations,
356# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
357# by disabling -e (using the XSI extension "set +e") if it's set.
358am__sh_e_setup = case $$- in *e*) set +e;; esac
359# Default flags passed to test drivers.
360am__common_driver_flags = \
361  --color-tests "$$am__color_tests" \
362  --enable-hard-errors "$$am__enable_hard_errors" \
363  --expect-failure "$$am__expect_failure"
364# To be inserted before the command running the test.  Creates the
365# directory for the log if needed.  Stores in $dir the directory
366# containing $f, in $tst the test, in $log the log.  Executes the
367# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
368# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
369# will run the test scripts (or their associated LOG_COMPILER, if
370# thy have one).
371am__check_pre = \
372$(am__sh_e_setup);                                      \
373$(am__vpath_adj_setup) $(am__vpath_adj)                 \
374$(am__tty_colors);                                      \
375srcdir=$(srcdir); export srcdir;                        \
376case "$@" in                                            \
377  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
378    *) am__odir=.;;                                     \
379esac;                                                   \
380test "x$$am__odir" = x"." || test -d "$$am__odir"       \
381  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
382if test -f "./$$f"; then dir=./;                        \
383elif test -f "$$f"; then dir=;                          \
384else dir="$(srcdir)/"; fi;                              \
385tst=$$dir$$f; log='$@';                                 \
386if test -n '$(DISABLE_HARD_ERRORS)'; then               \
387  am__enable_hard_errors=no;                            \
388else                                                    \
389  am__enable_hard_errors=yes;                           \
390fi;                                                     \
391case " $(XFAIL_TESTS) " in                              \
392  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
393    am__expect_failure=yes;;                            \
394  *)                                                    \
395    am__expect_failure=no;;                             \
396esac;                                                   \
397$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
398# A shell command to get the names of the tests scripts with any registered
399# extension removed (i.e., equivalently, the names of the test logs, with
400# the '.log' extension removed).  The result is saved in the shell variable
401# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
402# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
403# since that might cause problem with VPATH rewrites for suffix-less tests.
404# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
405am__set_TESTS_bases = \
406  bases='$(TEST_LOGS)'; \
407  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
408  bases=`echo $$bases`
409RECHECK_LOGS = $(TEST_LOGS)
410AM_RECURSIVE_TARGETS = check recheck
411TEST_SUITE_LOG = test-suite.log
412TEST_EXTENSIONS = @EXEEXT@ .test
413LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
414LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
415am__set_b = \
416  case '$@' in \
417    */*) \
418      case '$*' in \
419        */*) b='$*';; \
420          *) b=`echo '$@' | sed 's/\.log$$//'`; \
421       esac;; \
422    *) \
423      b='$*';; \
424  esac
425am__test_logs1 = $(TESTS:=.log)
426am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
427TEST_LOGS = $(am__test_logs2:.test.log=.log)
428TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
429TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
430        $(TEST_LOG_FLAGS)
431am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
432        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
433DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
434ACLOCAL = @ACLOCAL@
435ADAPTATION_LIBS = @ADAPTATION_LIBS@
436ALLOCA = @ALLOCA@
437AMTAR = @AMTAR@
438AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
439AR = @AR@
440ARGZ_H = @ARGZ_H@
441AR_R = @AR_R@
442AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
443AUTH_MODULES = @AUTH_MODULES@
444AUTOCONF = @AUTOCONF@
445AUTOHEADER = @AUTOHEADER@
446AUTOMAKE = @AUTOMAKE@
447AWK = @AWK@
448BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
449BUILDCXX = @BUILDCXX@
450BUILDCXXFLAGS = @BUILDCXXFLAGS@
451BZR = @BZR@
452CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
453CC = @CC@
454CCDEPMODE = @CCDEPMODE@
455CFLAGS = @CFLAGS@
456CGIEXT = @CGIEXT@
457CHMOD = @CHMOD@
458CPP = @CPP@
459CPPFLAGS = @CPPFLAGS@
460CPPUNITCONFIG = @CPPUNITCONFIG@
461CRYPTLIB = @CRYPTLIB@
462CXX = @CXX@
463CXXCPP = @CXXCPP@
464CXXDEPMODE = @CXXDEPMODE@
465CXXFLAGS = @CXXFLAGS@
466CYGPATH_W = @CYGPATH_W@
467DEFAULT_HOSTS = @DEFAULT_HOSTS@
468DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
469DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
470DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
471DEFS = @DEFS@
472DEPDIR = @DEPDIR@
473DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
474DISK_LIBS = @DISK_LIBS@
475DISK_LINKOBJS = @DISK_LINKOBJS@
476DISK_MODULES = @DISK_MODULES@
477DISK_OS_LIBS = @DISK_OS_LIBS@
478DISK_PROGRAMS = @DISK_PROGRAMS@
479DLLTOOL = @DLLTOOL@
480DSYMUTIL = @DSYMUTIL@
481DUMPBIN = @DUMPBIN@
482ECAP_LIBS = @ECAP_LIBS@
483ECHO_C = @ECHO_C@
484ECHO_N = @ECHO_N@
485ECHO_T = @ECHO_T@
486EGREP = @EGREP@
487EPOLL_LIBS = @EPOLL_LIBS@
488EUILIB = @EUILIB@
489EXEEXT = @EXEEXT@
490EXPATLIB = @EXPATLIB@
491EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
492EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
493EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
494FALSE = @FALSE@
495FGREP = @FGREP@
496GREP = @GREP@
497HAVE_CXX11 = @HAVE_CXX11@
498ICAP_LIBS = @ICAP_LIBS@
499INCLTDL = @INCLTDL@
500INSTALL = @INSTALL@
501INSTALL_DATA = @INSTALL_DATA@
502INSTALL_PROGRAM = @INSTALL_PROGRAM@
503INSTALL_SCRIPT = @INSTALL_SCRIPT@
504INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
505KRB5INCS = @KRB5INCS@
506KRB5LIBS = @KRB5LIBS@
507LBERLIB = @LBERLIB@
508LD = @LD@
509LDAPLIB = @LDAPLIB@
510LDFLAGS = @LDFLAGS@
511LIBADD_DL = @LIBADD_DL@
512LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
513LIBADD_DLOPEN = @LIBADD_DLOPEN@
514LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
515LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
516LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
517LIBLTDL = @LIBLTDL@
518LIBOBJS = @LIBOBJS@
519LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
520LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
521LIBS = @LIBS@
522LIBSASL = @LIBSASL@
523LIBTOOL = @LIBTOOL@
524LIB_DB = @LIB_DB@
525LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
526LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
527LINUXDOC = @LINUXDOC@
528LIPO = @LIPO@
529LN = @LN@
530LN_S = @LN_S@
531LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
532LTDLDEPS = @LTDLDEPS@
533LTDLINCL = @LTDLINCL@
534LTDLOPEN = @LTDLOPEN@
535LTLIBOBJS = @LTLIBOBJS@
536LT_CONFIG_H = @LT_CONFIG_H@
537LT_DLLOADERS = @LT_DLLOADERS@
538LT_DLPREOPEN = @LT_DLPREOPEN@
539MAINT = @MAINT@
540MAKEINFO = @MAKEINFO@
541MANIFEST_TOOL = @MANIFEST_TOOL@
542MINGW_LIBS = @MINGW_LIBS@
543MKDIR = @MKDIR@
544MKDIR_P = @MKDIR_P@
545MV = @MV@
546NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
547NETTLELIB = @NETTLELIB@
548NM = @NM@
549NMEDIT = @NMEDIT@
550NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
551OBJDUMP = @OBJDUMP@
552OBJEXT = @OBJEXT@
553OTOOL = @OTOOL@
554OTOOL64 = @OTOOL64@
555PACKAGE = @PACKAGE@
556PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
557PACKAGE_NAME = @PACKAGE_NAME@
558PACKAGE_STRING = @PACKAGE_STRING@
559PACKAGE_TARNAME = @PACKAGE_TARNAME@
560PACKAGE_URL = @PACKAGE_URL@
561PACKAGE_VERSION = @PACKAGE_VERSION@
562PATH_SEPARATOR = @PATH_SEPARATOR@
563PERL = @PERL@
564PKG_CONFIG = @PKG_CONFIG@
565PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
566PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
567PO2HTML = @PO2HTML@
568PO2TEXT = @PO2TEXT@
569POD2MAN = @POD2MAN@
570RANLIB = @RANLIB@
571REGEXLIB = @REGEXLIB@
572REPL_LIBS = @REPL_LIBS@
573REPL_OBJS = @REPL_OBJS@
574REPL_POLICIES = @REPL_POLICIES@
575RM = @RM@
576SED = @SED@
577SET_MAKE = @SET_MAKE@
578SH = @SH@
579SHELL = @SHELL@
580SMBCLIENT = @SMBCLIENT@
581SNMPLIB = @SNMPLIB@
582SQUID_CFLAGS = @SQUID_CFLAGS@
583SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
584SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
585SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
586SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
587SSLLIB = @SSLLIB@
588STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
589STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
590STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
591STORE_TESTS = @STORE_TESTS@
592STRIP = @STRIP@
593TR = @TR@
594TRUE = @TRUE@
595URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
596VERSION = @VERSION@
597WBINFO = @WBINFO@
598WIN32_PSAPI = @WIN32_PSAPI@
599XMLLIB = @XMLLIB@
600XTRA_LIBS = @XTRA_LIBS@
601XTRA_OBJS = @XTRA_OBJS@
602abs_builddir = @abs_builddir@
603abs_srcdir = @abs_srcdir@
604abs_top_builddir = @abs_top_builddir@
605abs_top_srcdir = @abs_top_srcdir@
606ac_ct_AR = @ac_ct_AR@
607ac_ct_CC = @ac_ct_CC@
608ac_ct_CXX = @ac_ct_CXX@
609ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
610am__include = @am__include@
611am__leading_dot = @am__leading_dot@
612am__quote = @am__quote@
613am__tar = @am__tar@
614am__untar = @am__untar@
615bindir = @bindir@
616build = @build@
617build_alias = @build_alias@
618build_cpu = @build_cpu@
619build_os = @build_os@
620build_vendor = @build_vendor@
621builddir = @builddir@
622datadir = @datadir@
623datarootdir = @datarootdir@
624docdir = @docdir@
625dvidir = @dvidir@
626exec_prefix = @exec_prefix@
627host = @host@
628host_alias = @host_alias@
629host_cpu = @host_cpu@
630host_os = @host_os@
631host_vendor = @host_vendor@
632htmldir = @htmldir@
633includedir = @includedir@
634infodir = @infodir@
635install_sh = @install_sh@
636krb5_config = @krb5_config@
637libdir = @libdir@
638libexecdir = @libexecdir@
639localedir = @localedir@
640localstatedir = @localstatedir@
641ltdl_LIBOBJS = @ltdl_LIBOBJS@
642ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
643mandir = @mandir@
644mkdir_p = @mkdir_p@
645oldincludedir = @oldincludedir@
646pdfdir = @pdfdir@
647prefix = @prefix@
648program_transform_name = @program_transform_name@
649psdir = @psdir@
650runstatedir = @runstatedir@
651sbindir = @sbindir@
652sharedstatedir = @sharedstatedir@
653srcdir = @srcdir@
654subdirs = @subdirs@
655sys_symbol_underscore = @sys_symbol_underscore@
656sysconfdir = @sysconfdir@
657target_alias = @target_alias@
658top_build_prefix = @top_build_prefix@
659top_builddir = @top_builddir@
660top_srcdir = @top_srcdir@
661AM_CFLAGS = $(SQUID_CFLAGS)
662AM_CXXFLAGS = $(SQUID_CXXFLAGS)
663CLEANFILES =
664AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
665        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
666        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
667        $(am__append_1) -I$(top_srcdir)/include
668@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
669@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
670COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
671subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
672trie_SOURCES = trie.cc
673trie_LDADD = $(top_builddir)/lib/libTrie/libTrie.a
674all: all-am
675
676.SUFFIXES:
677.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
678$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
679        @for dep in $?; do \
680          case '$(am__configure_deps)' in \
681            *$$dep*) \
682              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
683                && { if test -f $@; then exit 0; else break; fi; }; \
684              exit 1;; \
685          esac; \
686        done; \
687        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/libTrie/test/Makefile'; \
688        $(am__cd) $(top_srcdir) && \
689          $(AUTOMAKE) --foreign lib/libTrie/test/Makefile
690Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
691        @case '$?' in \
692          *config.status*) \
693            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
694          *) \
695            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
696            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
697        esac;
698$(top_srcdir)/src/Common.am $(am__empty):
699
700$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
701        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
702
703$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
704        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
705$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
706        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
707$(am__aclocal_m4_deps):
708
709clean-checkPROGRAMS:
710        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
711        echo " rm -f" $$list; \
712        rm -f $$list || exit $$?; \
713        test -n "$(EXEEXT)" || exit 0; \
714        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
715        echo " rm -f" $$list; \
716        rm -f $$list
717
718trie$(EXEEXT): $(trie_OBJECTS) $(trie_DEPENDENCIES) $(EXTRA_trie_DEPENDENCIES)
719        @rm -f trie$(EXEEXT)
720        $(AM_V_CXXLD)$(CXXLINK) $(trie_OBJECTS) $(trie_LDADD) $(LIBS)
721
722mostlyclean-compile:
723        -rm -f *.$(OBJEXT)
724
725distclean-compile:
726        -rm -f *.tab.c
727
728@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trie.Po@am__quote@
729
730.cc.o:
731@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
732@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
733@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
734@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
735@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
736@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
737
738.cc.obj:
739@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
740@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
741@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
742@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
743@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
744@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
745
746.cc.lo:
747@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
748@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
749@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
750@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
751@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
752@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
753
754mostlyclean-libtool:
755        -rm -f *.lo
756
757clean-libtool:
758        -rm -rf .libs _libs
759
760ID: $(am__tagged_files)
761        $(am__define_uniq_tagged_files); mkid -fID $$unique
762tags: tags-am
763TAGS: tags
764
765tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
766        set x; \
767        here=`pwd`; \
768        $(am__define_uniq_tagged_files); \
769        shift; \
770        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
771          test -n "$$unique" || unique=$$empty_fix; \
772          if test $$# -gt 0; then \
773            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
774              "$$@" $$unique; \
775          else \
776            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
777              $$unique; \
778          fi; \
779        fi
780ctags: ctags-am
781
782CTAGS: ctags
783ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
784        $(am__define_uniq_tagged_files); \
785        test -z "$(CTAGS_ARGS)$$unique" \
786          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
787             $$unique
788
789GTAGS:
790        here=`$(am__cd) $(top_builddir) && pwd` \
791          && $(am__cd) $(top_srcdir) \
792          && gtags -i $(GTAGS_ARGS) "$$here"
793cscopelist: cscopelist-am
794
795cscopelist-am: $(am__tagged_files)
796        list='$(am__tagged_files)'; \
797        case "$(srcdir)" in \
798          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
799          *) sdir=$(subdir)/$(srcdir) ;; \
800        esac; \
801        for i in $$list; do \
802          if test -f "$$i"; then \
803            echo "$(subdir)/$$i"; \
804          else \
805            echo "$$sdir/$$i"; \
806          fi; \
807        done >> $(top_builddir)/cscope.files
808
809distclean-tags:
810        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
811
812# Recover from deleted '.trs' file; this should ensure that
813# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
814# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
815# to avoid problems with "make -n".
816.log.trs:
817        rm -f $< $@
818        $(MAKE) $(AM_MAKEFLAGS) $<
819
820# Leading 'am--fnord' is there to ensure the list of targets does not
821# expand to empty, as could happen e.g. with make check TESTS=''.
822am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
823am--force-recheck:
824        @:
825
826$(TEST_SUITE_LOG): $(TEST_LOGS)
827        @$(am__set_TESTS_bases); \
828        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
829        redo_bases=`for i in $$bases; do \
830                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
831                    done`; \
832        if test -n "$$redo_bases"; then \
833          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
834          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
835          if $(am__make_dryrun); then :; else \
836            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
837          fi; \
838        fi; \
839        if test -n "$$am__remaking_logs"; then \
840          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
841               "recursion detected" >&2; \
842        elif test -n "$$redo_logs"; then \
843          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
844        fi; \
845        if $(am__make_dryrun); then :; else \
846          st=0;  \
847          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
848          for i in $$redo_bases; do \
849            test -f $$i.trs && test -r $$i.trs \
850              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
851            test -f $$i.log && test -r $$i.log \
852              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
853          done; \
854          test $$st -eq 0 || exit 1; \
855        fi
856        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
857        ws='[   ]'; \
858        results=`for b in $$bases; do echo $$b.trs; done`; \
859        test -n "$$results" || results=/dev/null; \
860        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
861        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
862        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
863        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
864        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
865        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
866        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
867        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
868          success=true; \
869        else \
870          success=false; \
871        fi; \
872        br='==================='; br=$$br$$br$$br$$br; \
873        result_count () \
874        { \
875            if test x"$$1" = x"--maybe-color"; then \
876              maybe_colorize=yes; \
877            elif test x"$$1" = x"--no-color"; then \
878              maybe_colorize=no; \
879            else \
880              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
881            fi; \
882            shift; \
883            desc=$$1 count=$$2; \
884            if test $$maybe_colorize = yes && test $$count -gt 0; then \
885              color_start=$$3 color_end=$$std; \
886            else \
887              color_start= color_end=; \
888            fi; \
889            echo "$${color_start}# $$desc $$count$${color_end}"; \
890        }; \
891        create_testsuite_report () \
892        { \
893          result_count $$1 "TOTAL:" $$all   "$$brg"; \
894          result_count $$1 "PASS: " $$pass  "$$grn"; \
895          result_count $$1 "SKIP: " $$skip  "$$blu"; \
896          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
897          result_count $$1 "FAIL: " $$fail  "$$red"; \
898          result_count $$1 "XPASS:" $$xpass "$$red"; \
899          result_count $$1 "ERROR:" $$error "$$mgn"; \
900        }; \
901        {                                                               \
902          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
903            $(am__rst_title);                                           \
904          create_testsuite_report --no-color;                           \
905          echo;                                                         \
906          echo ".. contents:: :depth: 2";                               \
907          echo;                                                         \
908          for b in $$bases; do echo $$b; done                           \
909            | $(am__create_global_log);                                 \
910        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
911        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
912        if $$success; then                                              \
913          col="$$grn";                                                  \
914         else                                                           \
915          col="$$red";                                                  \
916          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
917        fi;                                                             \
918        echo "$${col}$$br$${std}";                                      \
919        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
920        echo "$${col}$$br$${std}";                                      \
921        create_testsuite_report --maybe-color;                          \
922        echo "$$col$$br$$std";                                          \
923        if $$success; then :; else                                      \
924          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
925          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
926            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
927          fi;                                                           \
928          echo "$$col$$br$$std";                                        \
929        fi;                                                             \
930        $$success || exit 1
931
932check-TESTS:
933        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
934        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
935        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
936        @set +e; $(am__set_TESTS_bases); \
937        log_list=`for i in $$bases; do echo $$i.log; done`; \
938        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
939        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
940        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
941        exit $$?;
942recheck: all $(check_PROGRAMS)
943        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
944        @set +e; $(am__set_TESTS_bases); \
945        bases=`for i in $$bases; do echo $$i; done \
946                 | $(am__list_recheck_tests)` || exit 1; \
947        log_list=`for i in $$bases; do echo $$i.log; done`; \
948        log_list=`echo $$log_list`; \
949        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
950                am__force_recheck=am--force-recheck \
951                TEST_LOGS="$$log_list"; \
952        exit $$?
953trie.log: trie$(EXEEXT)
954        @p='trie$(EXEEXT)'; \
955        b='trie'; \
956        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
957        --log-file $$b.log --trs-file $$b.trs \
958        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
959        "$$tst" $(AM_TESTS_FD_REDIRECT)
960.test.log:
961        @p='$<'; \
962        $(am__set_b); \
963        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
964        --log-file $$b.log --trs-file $$b.trs \
965        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
966        "$$tst" $(AM_TESTS_FD_REDIRECT)
967@am__EXEEXT_TRUE@.test$(EXEEXT).log:
968@am__EXEEXT_TRUE@       @p='$<'; \
969@am__EXEEXT_TRUE@       $(am__set_b); \
970@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
971@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
972@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
973@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
974
975distdir: $(DISTFILES)
976        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
977        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
978        list='$(DISTFILES)'; \
979          dist_files=`for file in $$list; do echo $$file; done | \
980          sed -e "s|^$$srcdirstrip/||;t" \
981              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
982        case $$dist_files in \
983          */*) $(MKDIR_P) `echo "$$dist_files" | \
984                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
985                           sort -u` ;; \
986        esac; \
987        for file in $$dist_files; do \
988          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
989          if test -d $$d/$$file; then \
990            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
991            if test -d "$(distdir)/$$file"; then \
992              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
993            fi; \
994            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
995              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
996              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
997            fi; \
998            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
999          else \
1000            test -f "$(distdir)/$$file" \
1001            || cp -p $$d/$$file "$(distdir)/$$file" \
1002            || exit 1; \
1003          fi; \
1004        done
1005check-am: all-am
1006        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1007        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1008check: check-am
1009all-am: Makefile
1010installdirs:
1011install: install-am
1012install-exec: install-exec-am
1013install-data: install-data-am
1014uninstall: uninstall-am
1015
1016install-am: all-am
1017        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1018
1019installcheck: installcheck-am
1020install-strip:
1021        if test -z '$(STRIP)'; then \
1022          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1023            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1024              install; \
1025        else \
1026          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1027            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1028            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1029        fi
1030mostlyclean-generic:
1031        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1032        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1033        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1034
1035clean-generic:
1036        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1037
1038distclean-generic:
1039        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1040        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1041
1042maintainer-clean-generic:
1043        @echo "This command is intended for maintainers to use"
1044        @echo "it deletes files that may require special tools to rebuild."
1045clean: clean-am
1046
1047clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1048        mostlyclean-am
1049
1050distclean: distclean-am
1051        -rm -rf ./$(DEPDIR)
1052        -rm -f Makefile
1053distclean-am: clean-am distclean-compile distclean-generic \
1054        distclean-tags
1055
1056dvi: dvi-am
1057
1058dvi-am:
1059
1060html: html-am
1061
1062html-am:
1063
1064info: info-am
1065
1066info-am:
1067
1068install-data-am:
1069
1070install-dvi: install-dvi-am
1071
1072install-dvi-am:
1073
1074install-exec-am:
1075
1076install-html: install-html-am
1077
1078install-html-am:
1079
1080install-info: install-info-am
1081
1082install-info-am:
1083
1084install-man:
1085
1086install-pdf: install-pdf-am
1087
1088install-pdf-am:
1089
1090install-ps: install-ps-am
1091
1092install-ps-am:
1093
1094installcheck-am:
1095
1096maintainer-clean: maintainer-clean-am
1097        -rm -rf ./$(DEPDIR)
1098        -rm -f Makefile
1099maintainer-clean-am: distclean-am maintainer-clean-generic
1100
1101mostlyclean: mostlyclean-am
1102
1103mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1104        mostlyclean-libtool
1105
1106pdf: pdf-am
1107
1108pdf-am:
1109
1110ps: ps-am
1111
1112ps-am:
1113
1114uninstall-am:
1115
1116.MAKE: check-am install-am install-strip
1117
1118.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1119        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1120        ctags ctags-am distclean distclean-compile distclean-generic \
1121        distclean-libtool distclean-tags distdir dvi dvi-am html \
1122        html-am info info-am install install-am install-data \
1123        install-data-am install-dvi install-dvi-am install-exec \
1124        install-exec-am install-html install-html-am install-info \
1125        install-info-am install-man install-pdf install-pdf-am \
1126        install-ps install-ps-am install-strip installcheck \
1127        installcheck-am installdirs maintainer-clean \
1128        maintainer-clean-generic mostlyclean mostlyclean-compile \
1129        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1130        recheck tags tags-am uninstall uninstall-am
1131
1132.PRECIOUS: Makefile
1133
1134
1135$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1136
1137# Tell versions [3.59,3.63) of GNU make to not export all variables.
1138# Otherwise a system limit (for SysV at least) may be exceeded.
1139.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.